<?php
$__functions['init'][]='_esmo_magnit_site_vars' ;
$__functions['boot_site'][]='_esmo_magnit_site_boot' ;

function esmo_magnit() {return($_SESSION['esmo_magnit_system']);$_SESSION['esmo_magnit_system']=new c_esmo_magnit_system();return($_SESSION['esmo_magnit_system']);} ;


function _esmo_magnit_site_vars()
{   // роли модуля
    $_SESSION['init_options']['esmo_magnit']['debug']=0 ;


    $_SESSION['indx_report_section']=array('МО - журналы',
                                           'МО - отчеты',
                                           'Персонал',
                                           'Предприятие - журналы',
                                           'Предприятие - отчеты',
                                           'Служебные отчеты',
    ) ;
}

function _esmo_magnit_site_boot($options)
{
  create_system_modul_obj('esmo_magnit',$options) ;

}


class c_esmo_magnit_system
{

    function __construct($create_options=array())
    {
        $this->system_title ='Магнит';
        $this->system_name ='esmo_magnit_system';


        
        //$_SESSION['global_replace_worlds']['Предприятие']='Магнит' ;
    }



        



}



?>